package com.zhongshu.card.server.core.dao.devices;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.dao.devices.extend.PermissSettingDaoExtend;
import com.zhongshu.card.server.core.domain.devices.permiss.PermissSetting;
import com.zhongshu.card.server.core.domain.devices.permiss.PermissTimeSlot;

import java.util.List;

/**
 * 权限时间段数据
 *
 * @author TRX
 * @date 2024/3/21
 */
public interface PermissSettingDao extends MongoDao<PermissSetting>, PermissSettingDaoExtend {

    PermissSetting findTopById(String id);

    PermissSetting findTopByNameAndProjectOid(String name, String projectOid);

    List<PermissSetting> findByTimeSlotIdIn(List<String> ids);

    List<PermissSetting> findByTimeSlot(PermissTimeSlot timeSlot);
}
